# Package play

Interface Summary
PlayPlugin.Filter.Function1<I,O>

Class Summary
ConfigurationChangeWatcherPlugin: Plugin used for tracking for application.conf changes
Invoker: Run some code in a Play! context
Invoker.DirectInvocation: A direct invocation (in the same thread than caller)
Invoker.Invocation: An Invocation in something to run in a Play! context
Invoker.InvocationContext: The class/method that will be invoked by the current operation
Logger: Main logger of the application.
Logger.JuliToLog4jHandler: juli handler that Redirect to log4j
Play: Main framework class
PlayPlugin: A framework plugin
PlayPlugin.Filter<T>: Class that define a filter.

Enum Summary
Play.Mode: 2 modes

Exception Summary
Invoker.Suspend: Throwable to indicate that the request must be suspended